package com.pdf.base.interfaces

import com.compdfkit.core.document.CPDFDocument

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/11/18
 * description:
 */
interface OpenDocumentCallback {

    /**
     * 打开成功
     */
    fun success(cPdfDocument: CPDFDocument)

    /**
     * 打开失败
     */
    fun fail(error : CPDFDocument.PDFDocumentError)

    /**
     * 文档已加密
     */
    fun isEncrypt(cPdfDocument: CPDFDocument)

}